cURL
curl --request DELETE \
--url https://firstpromoter.com/api/v1/leads/delete \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/leads/delete"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/leads/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}"Bad credentials"{
"error": "Lead not found."
}{
"error": "You need to find the lead/customer either by id, uid or email."
}Leads
Delete lead/customer
Remove a lead/customer from FirstPromoter using the API. You can find the referral either by id , uid or email.
HTTP Request
DELETE https://firstpromoter.com/api/v1/leads/deleteDELETE
/
delete
cURL
Authorizations
Query Parameters
required if email or uid is null
ID of the lead or customer to delete
required if email or id is null
UID of the lead or customer to delete
required if id and uid is null
Email of the lead or customer to delete
Response
delete lead 200 response
⌘I